Bug 24740: Use biblio title rather than biblio number in OPAC search result cover...
[koha.git] / debian / scripts / koha-upgrade-schema
blobda50d41f107fce291d2cd8ff743959410f9190c9
1 #!/bin/sh
3 # koha-upgrade-schema -- Upgrade the DB schema for Koha instances.
4 # Copyright 2010 Catalyst IT, Ltd
5 #
6 # This program is free software: you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation, either version 3 of the License, or
9 # (at your option) any later version.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with this program. If not, see <http://www.gnu.org/licenses/>.
19 set -e
21 # Read configuration variable file if it is present
22 [ -r /etc/default/koha-common ] && . /etc/default/koha-common
24 # include helper functions
25 if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then
26 . "/usr/share/koha/bin/koha-functions.sh"
27 else
28 echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2
29 exit 1
32 # Optionally use alternative paths for a dev install
33 adjust_paths_dev_install $1
34 if [ "$DEV_INSTALL" = "" ]; then
35 CGI_PATH=$KOHA_HOME/intranet/cgi-bin
36 else
37 CGI_PATH=$KOHA_HOME
40 for name in "$@"
42 if is_instance $name; then
43 echo "Upgrading database schema for $name"
44 KOHA_CONF="/etc/koha/sites/$name/koha-conf.xml" \
45 PERL5LIB=$PERL5LIB \
46 "$CGI_PATH/installer/data/mysql/updatedatabase.pl"
47 else
48 die "Error: Invalid instance name $name"
50 done